package cn.iselab.mooctest.user.service;

import cn.iselab.mooctest.user.data.ResponseResult;
import cn.iselab.mooctest.user.model.VerifyCode;

/**
 * @Author: xuexb
 * @Date: 2018.12.28 1:27
 */
public interface VerifyCodeService {

    VerifyCode getLatestVerifyCode(String type, String receiver);

    VerifyCode saveVerifyCode(VerifyCode verifyCode);

    boolean validateVerifyCode(String type, String receiver, String code);

}
